Package org.eclipse.birt.report.engine.api.script.element

# Class ScriptAPIFactory

java.lang.Object
org.eclipse.birt.report.engine.api.script.element.ScriptAPIFactory

All Implemented Interfaces:
  `IScriptAPIFactory`

@Deprecated public class ScriptAPIFactory extends Object implements IScriptAPIFactory
Deprecated.
Class to create some structure instances.

## Constructor Summary

Constructors
Constructor
Description
`ScriptAPIFactory()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`IDataBinding`
`createDataBinding()`
Deprecated.
Create `IDataBinding`
`IFilterCondition`
`createFilterCondition()`
Deprecated.
Create `IFilterCondition`
`IHideRule`
`createHideRule()`
Deprecated.
Create `IHideRule` instance
`IHighlightRule`
`createHighLightRule()`
Deprecated.
Create `IHighLightRule`
`ISortCondition`
`createSortCondition()`
Deprecated.
Create `ISortCondition`
`static IScriptAPIFactory`
`getBaseFactory()`
Deprecated.
`static ScriptAPIFactory`
`getInstance()`
Deprecated.
Returns the ODAProviderFactory instance.
`static void`
`initeTheFactory(IScriptAPIFactory base)`
Deprecated.
Set the base factory for this class.
`static void`
`releaseInstance()`
Deprecated.
Singleton instance release method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptAPIFactory

public ScriptAPIFactory()
Deprecated.

## Method Details

### getInstance

public static ScriptAPIFactory getInstance()
Deprecated.
Returns the ODAProviderFactory instance.

Returns:
  ODAProviderFactory instance.

### getBaseFactory

public static IScriptAPIFactory getBaseFactory()
Deprecated.

### initeTheFactory

public static void initeTheFactory(IScriptAPIFactory base)
Deprecated.
Set the base factory for this class. This method should be called before any other operation.

Parameters:
  `base` - The real factory class used to create the script structure.

### releaseInstance

public static void releaseInstance()
Deprecated.
Singleton instance release method.

### createDataBinding

public IDataBinding createDataBinding()
Deprecated.
Description copied from interface: `IScriptAPIFactory`
Create `IDataBinding`

Specified by:
  `createDataBinding` in interface `IScriptAPIFactory`
Returns:
  instance

### createFilterCondition

public IFilterCondition createFilterCondition()
Deprecated.
Description copied from interface: `IScriptAPIFactory`
Create `IFilterCondition`

Specified by:
  `createFilterCondition` in interface `IScriptAPIFactory`
Returns:
  instance

### createHideRule

public IHideRule createHideRule()
Deprecated.
Description copied from interface: `IScriptAPIFactory`
Create `IHideRule` instance

Specified by:
  `createHideRule` in interface `IScriptAPIFactory`
Returns:
  IHideRule

### createHighLightRule

public IHighlightRule createHighLightRule()
Deprecated.
Description copied from interface: `IScriptAPIFactory`
Create `IHighLightRule`

Specified by:
  `createHighLightRule` in interface `IScriptAPIFactory`
Returns:
  instance

### createSortCondition

public ISortCondition createSortCondition()
Deprecated.
Description copied from interface: `IScriptAPIFactory`
Create `ISortCondition`

Specified by:
  `createSortCondition` in interface `IScriptAPIFactory`
Returns:
  instance